﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Markup;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;
using Telerik.Charting;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ChartView;
using Telerik.Windows.Shapes;

namespace BaseApplicationProject
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();            
            this.DataContext = new ExampleViewModel();
        }
    }

    public class ExampleViewModel
    {
        public ObservableCollection<DataItem> Items { get; set; }

        public double fontSize { get; set; }

        public ExampleViewModel()
        {
            this.fontSize = 12;

            this.Items = new ObservableCollection<DataItem>() 
            { 
                new DataItem() { Category = "Cat 1", Value = 10 },
                new DataItem() { Category = "Cat 2", Value = 15 },
                new DataItem() { Category = "Cat 3", Value = 25 },
                new DataItem() { Category = "Cat 4", Value = 11 },
                new DataItem() { Category = "Cat 5", Value = 8 },
                new DataItem() { Category = "Cat 6", Value = 17 },
                new DataItem() { Category = "Cat 7", Value = 13 },
            };
        }
    }

    public class DataItem
    {
        public string Category { get; set; }
        public double Value { get; set; }
    }
}
